{
  "schema_version": "1.4.0",
  "id": "GHSA-x9rq-9gxv-4m5h",
  "modified": "2022-05-02T03:46:51Z",
  "published": "2022-05-02T03:46:51Z",
  "aliases": [
    "CVE-2009-3607"
  ],
  "details": "Integer overflow in the create_surface_from_thumbnail_data function in glib/poppler-page.cc in Poppler 0.x allows remote attackers to cause a denial of service (memory corruption) or possibly execute arbitrary code via a crafted PDF document that triggers a heap-based buffer overflow.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-3607"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-3607"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=526924"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/53801"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00750.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00784.html"
    },
    {
      "type": "WEB",
      "url": "http://cgit.freedesktop.org/poppler/poppler/commit/?id=c839b706"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37054"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37114"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37159"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-274030-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-77-1021706.1-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1941"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2011:175"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/12/01/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/12/01/5"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/12/01/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/36718"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-850-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-850-3"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/2925"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-10-21T17:30:00Z"
  }
}